{
	"executor": {
		"executorType": "sequentialExecutor",
		"sequence": [ "start", "inputToCVMat", "cvtColor", "resizeLimitSize", "crop", "padding", "convertTo", "CVMatToTensor", "infer", "tensorToFloatVec", "final" ],
		"dataStream": {	
			"inputToCVMat": {
				"input": [ "srcImage" ],
				"output": [ "InputToCVMatOutput" ]
			},
			"cvtColor": {
				"input": [ "InputToCVMatOutput" ],
				"output": [ "cvtColorOutput" ]
			},
			"resizeLimitSize": {
				"input": [ "cvtColorOutput" ],
				"output": [ "resizeOutput" ]
			},
			"crop": {
				"input": [ "resizeOutput" ],
				"output": [ "cropOutput" ]
			},
			"padding": {
				"input": [ "cropOutput" ],
				"output": [ "paddingOutput" ]
			},
			"convertTo": {
				"input": [ "paddingOutput" ],
				"output": [ "convertToOutput" ]
			},
			"CVMatToTensor": {
				"input": [ "convertToOutput" ],
				"output": [ "CVMatToTensorOutput" ]
			},
			"infer": {
				"input": [ "CVMatToTensorOutput" ],
				"output": [ "inferOutput" ]
			},
			"tensorToFloatVec": {
				"input": ["inferOutput"],
				"output": [ "output" ]
			}
		}
	},
	"node": {
		"start": {
			"nodeType": "StartNode"
		},
		"inputToCVMat": {
			"nodeType": "InputToCVMatNode",
			"releaseInputData": true
		},
		"cvtColor": {
			"nodeType": "CvtColorNode",
			"code": "RGB"
		},
		"resizeLimitSize": {
			"nodeType": "ResizeLimitSizeNode",
			"width": -1,
			"height": 48,
			"equalProportion": true,
			"equalProportionScaleMode": 1,
			"scaleLimitSize":0
		},
		"crop": {
			"nodeType": "CropNode",
			"needPopData": true,
			"cropMode": 2,
			"sideParam":[0,0,192,48],
			"isIgnoreSmallImg": true
		},
		"padding": {
			"nodeType": "PaddingNode",
			"width": 192,
			"height": 48,
			"borderType": 0,
			"makeBorderType": 1
		},
		"convertTo": {
			"nodeType": "ConvertToNode",
			"rtype": 5,
			"alpha": 0.007843137254902,
			"beta": -1
		},
		"CVMatToTensor": {
			"nodeType": "CVMatToTensorNode",
			"elemsize": 4,
			"name": "serving_default_x:0",
			"layout": [ "n", "h", "w", "c" ]
		},
		"infer": {
			"nodeType": "InferenceNode",
			"backendType": 0,
			"precision": 0,
			"modelFileNames": [ "textbox_cls_v1.tflite" ]
		},
		"tensorToFloatVec": {
			"nodeType": "TensorToFloatVecNode",
			"index":2
		},
		"final": {
			"nodeType": "FinalNode",
			"release": ["srcImage"]
		}
	}
}